Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ExpandType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.UTCTimeRangeType
org.oasis_open.docs.ws_calendar.ns.soap.ExpandType

public class ExpandType extends UTCTimeRangeType
The expand XML element specifies that for a given calendaring REPORT request, the server MUST expand the recurrence set into calendar components that define exactly one recurrence instance, and MUST return only those whose scheduled time intersect a specified time range. The "start" attribute specifies the inclusive start of the time range, and the "end" attribute specifies the non-inclusive end of the time range. Both attributes are specified as date with UTC time value. The value of the "end" attribute MUST be greater than the value of the "start" attribute. The server MUST use the same logic as defined for timeRange to determine if a recurrence instance intersects the specified time range. Recurring components, other than the initial instance, MUST include a RECURRENCE-ID property indicating which instance they refer to. The returned calendar components MUST NOT use recurrence properties (i.e., EXDATE, EXRULE, RDATE, and RRULE) and MUST NOT have reference to or include VTIMEZONE components. Date and local time with reference to time zone information MUST be converted into date with UTC time.

Java class for ExpandType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExpandType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}UTCTimeRangeType">
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.UTCTimeRangeType

  `end, start`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpandType()`

- ## Method Summary

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.UTCTimeRangeType

  `getEnd, getStart, setEnd, setStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExpandType

    public ExpandType()